Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
reddit_listenings
/
{reddit_listening_id}
/
insights
Reddit insights
curl --request GET \
  --url https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/reddit_listenings/{reddit_listening_id}/insights \
  --header 'Authorization: <api-key>'
[
  {
    "positive_insights": [
      "<string>"
    ],
    "negative_insights": [
      "<string>"
    ],
    "posts": [
      {
        "reddit_listening_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "subreddit": "<string>",
        "title": "<string>",
        "relevancy": 123,
        "sentiment": "<string>",
        "upvotes": -1,
        "downvotes": -1,
        "num_comments": -1,
        "author": "<string>",
        "publication_date": "2023-12-25",
        "url": "<string>"
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

organization_id
string<uuid>
required

A UUID string identifying the organization.

reddit_listening_id
string<uuid>
required

A UUID string identifying the reddit listening.

workspace_id
string<uuid>
required

A UUID string identifying the workspace.

Response

positive_insights
string[]
required
negative_insights
string[]
required
posts
object[]
required